Bug 28810 - Housebound details should be textarea not text inputs
Summary: Housebound details should be textarea not text inputs
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26544
  Show dependency treegraph
 
Reported: 2021-08-03 21:22 UTC by Lucas Gass
Modified: 2021-09-03 14:54 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
This patch changes the housebound detail form inputs from text inputs to textarea's in order to accommodate more information in each field.
Version(s) released in:
21.11.00


Attachments
Bug 28810: replace housebould detail inputs with textarea (6.73 KB, patch)
2021-08-03 21:33 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28810: replace housebould detail inputs with textarea (6.80 KB, patch)
2021-08-04 11:56 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 28810: replace housebould detail inputs with textarea (6.86 KB, patch)
2021-08-29 11:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2021-08-03 21:22:48 UTC
In the housebound module when filling out the housebound details there are some fields that could potentially contain a lot of information. There fields are 
Preferred materials, Subjects, Authors, Referrals, and notes. 

Librarians may wish to enter many subjects/authors/notes/etc and perhaps add line breaks to separate subjects/authors/notes/etc. 

We should replace the input's with textarea and when viewing those housebound details we should preserve those lines breaks.
Comment 1 Lucas Gass 2021-08-03 21:33:49 UTC
Created attachment 123445 [details] [review]
Bug 28810: replace housebould detail inputs with textarea

To test:
1. apply patch
2. enable housebound module
3. go to a patron and look at the housebound tab
4. Edit the detials.
5. The preferred materials, subjects, authors, referral, and note inputs should be replace with much larger textareas.
6. You should now be able to added line breaks, so fill out each of the fields adding some line breaks. I added something like:
Fiction authors: Frank Herbert
Non-fiction authors: Malcolm Gladwell

7. Save changes
8. Now when you look at the housebound details those line breaks should be preserved and much easier to read.
Comment 2 Andrew Fuerste-Henry 2021-08-04 11:56:36 UTC
Created attachment 123455 [details] [review]
Bug 28810: replace housebould detail inputs with textarea

To test:
1. apply patch
2. enable housebound module
3. go to a patron and look at the housebound tab
4. Edit the detials.
5. The preferred materials, subjects, authors, referral, and note inputs should be replace with much larger textareas.
6. You should now be able to added line breaks, so fill out each of the fields adding some line breaks. I added something like:
Fiction authors: Frank Herbert
Non-fiction authors: Malcolm Gladwell

7. Save changes
8. Now when you look at the housebound details those line breaks should be preserved and much easier to read.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 Katrin Fischer 2021-08-29 11:10:31 UTC
I like that it preserves the line breaks.
Comment 4 Katrin Fischer 2021-08-29 11:11:27 UTC
Created attachment 124221 [details] [review]
Bug 28810: replace housebould detail inputs with textarea

To test:
1. apply patch
2. enable housebound module
3. go to a patron and look at the housebound tab
4. Edit the detials.
5. The preferred materials, subjects, authors, referral, and note inputs should be replace with much larger textareas.
6. You should now be able to added line breaks, so fill out each of the fields adding some line breaks. I added something like:
Fiction authors: Frank Herbert
Non-fiction authors: Malcolm Gladwell

7. Save changes
8. Now when you look at the housebound details those line breaks should be preserved and much easier to read.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-08-30 15:12:06 UTC
Pushed to master for 21.11, thanks to everybody involved!